Package org.apache.sling.servlethelpers

# Class MockSlingJakartaHttpServletRequest

java.lang.Object
org.apache.sling.api.adapter.SlingAdaptable
org.apache.sling.servlethelpers.MockSlingJakartaHttpServletRequest

All Implemented Interfaces:
  `jakarta.servlet.http.HttpServletRequest`, `jakarta.servlet.ServletRequest`, `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.SlingJakartaHttpServletRequest`

@ConsumerType public class MockSlingJakartaHttpServletRequest extends org.apache.sling.api.adapter.SlingAdaptable implements org.apache.sling.api.SlingJakartaHttpServletRequest
Mock `SlingJakartaHttpServletRequest` implementation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final ResourceBundle`
`EMPTY_RESOURCE_BUNDLE`
`protected static final String`
`PLEASE_PROVDIDE_REQUEST_DISPATCHER_FACTORY`

### Fields inherited from interface jakarta.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Constructor Summary

Constructors
Constructor
Description
`MockSlingJakartaHttpServletRequest(org.apache.sling.api.resource.ResourceResolver resourceResolver)`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`adaptTo(Class<T> type)`
`void`
`addCookie(jakarta.servlet.http.Cookie cookie)`
Set cookie
`void`
`addDateHeader(String name, long date)`
Add header, keep existing ones with same name.
`void`
`addHeader(String name, String value)`
Add header, keep existing ones with same name.
`void`
`addIntHeader(String name, int value)`
Add header, keep existing ones with same name.
`void`
`addPart(jakarta.servlet.http.Part part)`
`void`
`addRequestParameter(String name, byte[] content, String contentType)`
Add a request parameter that emulates a file upload field.
`void`
`addRequestParameter(String name, byte[] content, String contentType, String filename)`
Add a request parameter that emulates a file upload field with a filename associated with it.
`void`
`addRequestParameter(String name, String value)`
Add a request parameter that consists of a simple name/value pair.
`boolean`
`authenticate(jakarta.servlet.http.HttpServletResponse response)`
`String`
`changeSessionId()`
`jakarta.servlet.AsyncContext`
`getAsyncContext()`
`Object`
`getAttribute(String name)`
`Enumeration<String>`
`getAttributeNames()`
`String`
`getAuthType()`
`String`
`getCharacterEncoding()`
`int`
`getContentLength()`
`long`
`getContentLengthLong()`
`String`
`getContentType()`
`String`
`getContextPath()`
`jakarta.servlet.http.Cookie`
`getCookie(String name)`
`jakarta.servlet.http.Cookie[]`
`getCookies()`
`long`
`getDateHeader(String name)`
`jakarta.servlet.DispatcherType`
`getDispatcherType()`
`String`
`getHeader(String name)`
`Enumeration<String>`
`getHeaderNames()`
`Enumeration<String>`
`getHeaders(String name)`
`jakarta.servlet.ServletInputStream`
`getInputStream()`
`int`
`getIntHeader(String name)`
`String`
`getLocalAddr()`
`Locale`
`getLocale()`
`Enumeration<Locale>`
`getLocales()`
`String`
`getLocalName()`
`int`
`getLocalPort()`
`String`
`getMethod()`
`String`
`getParameter(String name)`
`Map<String,String[]>`
`getParameterMap()`
`Enumeration<String>`
`getParameterNames()`
`String[]`
`getParameterValues(String name)`
`jakarta.servlet.http.Part`
`getPart(String name)`
`Collection<jakarta.servlet.http.Part>`
`getParts()`
`String`
`getPathInfo()`
`String`
`getPathTranslated()`
`String`
`getProtocol()`
`String`
`getProtocolRequestId()`
`String`
`getQueryString()`
`BufferedReader`
`getReader()`
`String`
`getRemoteAddr()`
`String`
`getRemoteHost()`
`int`
`getRemotePort()`
`String`
`getRemoteUser()`
`jakarta.servlet.RequestDispatcher`
`getRequestDispatcher(String path)`
`jakarta.servlet.RequestDispatcher`
`getRequestDispatcher(String path, org.apache.sling.api.request.RequestDispatcherOptions options)`
`jakarta.servlet.RequestDispatcher`
`getRequestDispatcher(org.apache.sling.api.resource.Resource resource)`
`jakarta.servlet.RequestDispatcher`
`getRequestDispatcher(org.apache.sling.api.resource.Resource resource, org.apache.sling.api.request.RequestDispatcherOptions options)`
`String`
`getRequestedSessionId()`
`String`
`getRequestId()`
`org.apache.sling.api.request.RequestParameter`
`getRequestParameter(String name)`
`List<org.apache.sling.api.request.RequestParameter>`
`getRequestParameterList()`
`org.apache.sling.api.request.RequestParameterMap`
`getRequestParameterMap()`
`org.apache.sling.api.request.RequestParameter[]`
`getRequestParameters(String name)`
`org.apache.sling.api.request.RequestPathInfo`
`getRequestPathInfo()`
`org.apache.sling.api.request.RequestProgressTracker`
`getRequestProgressTracker()`
`String`
`getRequestURI()`
`StringBuffer`
`getRequestURL()`
`org.apache.sling.api.resource.Resource`
`getResource()`
`ResourceBundle`
`getResourceBundle(String baseName, Locale locale)`
`ResourceBundle`
`getResourceBundle(Locale locale)`
`org.apache.sling.api.resource.ResourceResolver`
`getResourceResolver()`
`String`
`getResponseContentType()`
`Enumeration<String>`
`getResponseContentTypes()`
`String`
`getScheme()`
`String`
`getServerName()`
`int`
`getServerPort()`
`jakarta.servlet.ServletConnection`
`getServletConnection()`
`jakarta.servlet.ServletContext`
`getServletContext()`
`String`
`getServletPath()`
`jakarta.servlet.http.HttpSession`
`getSession()`
`jakarta.servlet.http.HttpSession`
`getSession(boolean create)`
`Principal`
`getUserPrincipal()`
`boolean`
`isAsyncStarted()`
`boolean`
`isAsyncSupported()`
`boolean`
`isRequestedSessionIdFromCookie()`
`boolean`
`isRequestedSessionIdFromURL()`
`boolean`
`isRequestedSessionIdValid()`
`boolean`
`isSecure()`
`boolean`
`isUserInRole(String role)`
`void`
`login(String pUsername, String password)`
`void`
`logout()`
`protected MockJakartaHttpSession`
`newMockHttpSession()`
`protected MockRequestPathInfo`
`newMockRequestPathInfo()`
`void`
`removeAttribute(String name)`
`void`
`setAttribute(String name, Object object)`
`void`
`setAuthType(String authType)`
`void`
`setCharacterEncoding(String charset)`
`void`
`setContent(byte[] content)`
`void`
`setContentType(String type)`
`void`
`setContextPath(String contextPath)`
`void`
`setDateHeader(String name, long date)`
Set header, overwrite existing ones with same name.
`void`
`setHeader(String name, String value)`
Set header, overwrite existing ones with same name.
`void`
`setIntHeader(String name, int value)`
Set header, overwrite existing ones with same name.
`void`
`setLocale(Locale loc)`
`void`
`setMethod(String method)`
`void`
`setParameterMap(Map<String,Object> parameterMap)`
`void`
`setPathInfo(String pathInfo)`
`void`
`setQueryString(String queryString)`
`void`
`setRemoteAddr(String remoteAddr)`
`void`
`setRemoteHost(String remoteHost)`
`void`
`setRemotePort(int remotePort)`
`void`
`setRemoteUser(String remoteUser)`
`void`
`setRequestDispatcherFactory(MockJakartaRequestDispatcherFactory requestDispatcherFactory)`
`void`
`setResource(org.apache.sling.api.resource.Resource resource)`
`void`
`setResponseContentType(String responseContentType)`
`void`
`setScheme(String scheme)`
`void`
`setServerName(String serverName)`
`void`
`setServerPort(int serverPort)`
`void`
`setServletPath(String servletPath)`
`jakarta.servlet.AsyncContext`
`startAsync()`
`jakarta.servlet.AsyncContext`
`startAsync(jakarta.servlet.ServletRequest servletRequest, jakarta.servlet.ServletResponse servletResponse)`
`<T extends jakarta.servlet.http.HttpUpgradeHandler>
T`
`upgrade(Class<T> handlerClass)`

### Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable

`setAdapterManager, unsetAdapterManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.http.HttpServletRequest

`getHttpServletMapping, getTrailerFields, isTrailerFieldsReady, newPushBuilder`

### Methods inherited from interface jakarta.servlet.ServletRequest

`setCharacterEncoding`

## Field Details

### PLEASE_PROVDIDE_REQUEST_DISPATCHER_FACTORY

protected static final String PLEASE_PROVDIDE_REQUEST_DISPATCHER_FACTORY

See Also:
  - Constant Field Values

### EMPTY_RESOURCE_BUNDLE

protected static final ResourceBundle EMPTY_RESOURCE_BUNDLE

## Constructor Details

### MockSlingJakartaHttpServletRequest

public MockSlingJakartaHttpServletRequest(org.apache.sling.api.resource.ResourceResolver resourceResolver)

Parameters:
  `resourceResolver` - Resource resolver

## Method Details

### newMockHttpSession

protected MockJakartaHttpSession newMockHttpSession()

### newMockRequestPathInfo

protected MockRequestPathInfo newMockRequestPathInfo()

### getResourceResolver

public org.apache.sling.api.resource.ResourceResolver getResourceResolver()

Specified by:
  `getResourceResolver` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getSession

public jakarta.servlet.http.HttpSession getSession()

Specified by:
  `getSession` in interface `jakarta.servlet.http.HttpServletRequest`

### getSession

public jakarta.servlet.http.HttpSession getSession(boolean create)

Specified by:
  `getSession` in interface `jakarta.servlet.http.HttpServletRequest`

### getRequestPathInfo

public org.apache.sling.api.request.RequestPathInfo getRequestPathInfo()

Specified by:
  `getRequestPathInfo` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getAttribute

public Object getAttribute(String name)

Specified by:
  `getAttribute` in interface `jakarta.servlet.ServletRequest`

### getAttributeNames

public Enumeration<String> getAttributeNames()

Specified by:
  `getAttributeNames` in interface `jakarta.servlet.ServletRequest`

### removeAttribute

public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `jakarta.servlet.ServletRequest`

### setAttribute

public void setAttribute(String name, Object object)

Specified by:
  `setAttribute` in interface `jakarta.servlet.ServletRequest`

### getResource

public org.apache.sling.api.resource.Resource getResource()

Specified by:
  `getResource` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### setResource

public void setResource(org.apache.sling.api.resource.Resource resource)

### getParameter

public String getParameter(String name)

Specified by:
  `getParameter` in interface `jakarta.servlet.ServletRequest`

### getParameterMap

public Map<String,String[]> getParameterMap()

Specified by:
  `getParameterMap` in interface `jakarta.servlet.ServletRequest`

### getParameterNames

public Enumeration<String> getParameterNames()

Specified by:
  `getParameterNames` in interface `jakarta.servlet.ServletRequest`

### getParameterValues

public String[] getParameterValues(String name)

Specified by:
  `getParameterValues` in interface `jakarta.servlet.ServletRequest`

### setParameterMap

public void setParameterMap(Map<String,Object> parameterMap)

Parameters:
  `parameterMap` - Map of parameters

### getLocale

public Locale getLocale()

Specified by:
  `getLocale` in interface `jakarta.servlet.ServletRequest`

### setLocale

public void setLocale(Locale loc)

Parameters:
  `loc` - Request locale

### getContextPath

public String getContextPath()

Specified by:
  `getContextPath` in interface `jakarta.servlet.http.HttpServletRequest`

### setContextPath

public void setContextPath(String contextPath)

Parameters:
  `contextPath` - Webapp context path

### setQueryString

public void setQueryString(String queryString)

Parameters:
  `queryString` - Query string (with proper URL encoding)

### getQueryString

public String getQueryString()

Specified by:
  `getQueryString` in interface `jakarta.servlet.http.HttpServletRequest`

### getScheme

public String getScheme()

Specified by:
  `getScheme` in interface `jakarta.servlet.ServletRequest`

### setScheme

public void setScheme(String scheme)

### getServerName

public String getServerName()

Specified by:
  `getServerName` in interface `jakarta.servlet.ServletRequest`

### setServerName

public void setServerName(String serverName)

### getServerPort

public int getServerPort()

Specified by:
  `getServerPort` in interface `jakarta.servlet.ServletRequest`

### setServerPort

public void setServerPort(int serverPort)

### isSecure

public boolean isSecure()

Specified by:
  `isSecure` in interface `jakarta.servlet.ServletRequest`

### getMethod

public String getMethod()

Specified by:
  `getMethod` in interface `jakarta.servlet.http.HttpServletRequest`

### setMethod

public void setMethod(String method)

### getDateHeader

public long getDateHeader(String name)

Specified by:
  `getDateHeader` in interface `jakarta.servlet.http.HttpServletRequest`

### getHeader

public String getHeader(String name)

Specified by:
  `getHeader` in interface `jakarta.servlet.http.HttpServletRequest`

### getHeaderNames

public Enumeration<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `jakarta.servlet.http.HttpServletRequest`

### getHeaders

public Enumeration<String> getHeaders(String name)

Specified by:
  `getHeaders` in interface `jakarta.servlet.http.HttpServletRequest`

### getIntHeader

public int getIntHeader(String name)

Specified by:
  `getIntHeader` in interface `jakarta.servlet.http.HttpServletRequest`

### addHeader

public void addHeader(String name, String value)
Add header, keep existing ones with same name.

Parameters:
  `name` - Header name
  `value` - Header value

### addIntHeader

public void addIntHeader(String name, int value)
Add header, keep existing ones with same name.

Parameters:
  `name` - Header name
  `value` - Header value

### addDateHeader

public void addDateHeader(String name, long date)
Add header, keep existing ones with same name.

Parameters:
  `name` - Header name
  `date` - Header value

### setHeader

public void setHeader(String name, String value)
Set header, overwrite existing ones with same name.

Parameters:
  `name` - Header name
  `value` - Header value

### setIntHeader

public void setIntHeader(String name, int value)
Set header, overwrite existing ones with same name.

Parameters:
  `name` - Header name
  `value` - Header value

### setDateHeader

public void setDateHeader(String name, long date)
Set header, overwrite existing ones with same name.

Parameters:
  `name` - Header name
  `date` - Header value

### getCookie

public jakarta.servlet.http.Cookie getCookie(String name)

Specified by:
  `getCookie` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getCookies

public jakarta.servlet.http.Cookie[] getCookies()

Specified by:
  `getCookies` in interface `jakarta.servlet.http.HttpServletRequest`

### addCookie

public void addCookie(jakarta.servlet.http.Cookie cookie)
Set cookie

Parameters:
  `cookie` - Cookie

### getResourceBundle

public ResourceBundle getResourceBundle(Locale locale)

Specified by:
  `getResourceBundle` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getResourceBundle

public ResourceBundle getResourceBundle(String baseName, Locale locale)

Specified by:
  `getResourceBundle` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getRequestParameter

public org.apache.sling.api.request.RequestParameter getRequestParameter(String name)

Specified by:
  `getRequestParameter` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getRequestParameterMap

public org.apache.sling.api.request.RequestParameterMap getRequestParameterMap()

Specified by:
  `getRequestParameterMap` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getRequestParameters

public org.apache.sling.api.request.RequestParameter[] getRequestParameters(String name)

Specified by:
  `getRequestParameters` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getRequestParameterList

public List<org.apache.sling.api.request.RequestParameter> getRequestParameterList()

Specified by:
  `getRequestParameterList` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### addRequestParameter

public void addRequestParameter(String name, String value)
Add a request parameter that consists of a simple name/value pair. This emulates a simple form field.

Parameters:
  `name` - field name
  `value` - field value

### addRequestParameter

public void addRequestParameter(String name, byte[] content, String contentType)
Add a request parameter that emulates a file upload field.

Parameters:
  `name` - field name
  `content` - file content
  `contentType` - mime type of content in the field

### addRequestParameter

public void addRequestParameter(String name, byte[] content, String contentType, String filename)
Add a request parameter that emulates a file upload field with a filename associated with it.

Parameters:
  `name` - field name
  `content` - file content
  `contentType` - mime type of content in the field
  `filename` - filename associated with content

### getCharacterEncoding

public String getCharacterEncoding()

Specified by:
  `getCharacterEncoding` in interface `jakarta.servlet.ServletRequest`

### setCharacterEncoding

public void setCharacterEncoding(String charset)

Specified by:
  `setCharacterEncoding` in interface `jakarta.servlet.ServletRequest`

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `jakarta.servlet.ServletRequest`

### setContentType

public void setContentType(String type)

### getInputStream

public jakarta.servlet.ServletInputStream getInputStream()

Specified by:
  `getInputStream` in interface `jakarta.servlet.ServletRequest`

### getContentLength

public int getContentLength()

Specified by:
  `getContentLength` in interface `jakarta.servlet.ServletRequest`

### setContent

public void setContent(byte[] content)

### getRequestDispatcher

public jakarta.servlet.RequestDispatcher getRequestDispatcher(String path)

Specified by:
  `getRequestDispatcher` in interface `jakarta.servlet.ServletRequest`

### getRequestDispatcher

public jakarta.servlet.RequestDispatcher getRequestDispatcher(String path, org.apache.sling.api.request.RequestDispatcherOptions options)

Specified by:
  `getRequestDispatcher` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getRequestDispatcher

public jakarta.servlet.RequestDispatcher getRequestDispatcher(org.apache.sling.api.resource.Resource resource)

Specified by:
  `getRequestDispatcher` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getRequestDispatcher

public jakarta.servlet.RequestDispatcher getRequestDispatcher(org.apache.sling.api.resource.Resource resource, org.apache.sling.api.request.RequestDispatcherOptions options)

Specified by:
  `getRequestDispatcher` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### setRequestDispatcherFactory

public void setRequestDispatcherFactory(MockJakartaRequestDispatcherFactory requestDispatcherFactory)

### getRemoteUser

public String getRemoteUser()

Specified by:
  `getRemoteUser` in interface `jakarta.servlet.http.HttpServletRequest`
Specified by:
  `getRemoteUser` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### setRemoteUser

public void setRemoteUser(String remoteUser)

### getRemoteAddr

public String getRemoteAddr()

Specified by:
  `getRemoteAddr` in interface `jakarta.servlet.ServletRequest`

### setRemoteAddr

public void setRemoteAddr(String remoteAddr)

### getRemoteHost

public String getRemoteHost()

Specified by:
  `getRemoteHost` in interface `jakarta.servlet.ServletRequest`

### setRemoteHost

public void setRemoteHost(String remoteHost)

### getRemotePort

public int getRemotePort()

Specified by:
  `getRemotePort` in interface `jakarta.servlet.ServletRequest`

### setRemotePort

public void setRemotePort(int remotePort)

### getServletPath

public String getServletPath()

Specified by:
  `getServletPath` in interface `jakarta.servlet.http.HttpServletRequest`

### setServletPath

public void setServletPath(String servletPath)

### getPathInfo

public String getPathInfo()

Specified by:
  `getPathInfo` in interface `jakarta.servlet.http.HttpServletRequest`

### setPathInfo

public void setPathInfo(String pathInfo)

### getRequestURI

public String getRequestURI()

Specified by:
  `getRequestURI` in interface `jakarta.servlet.http.HttpServletRequest`

### getRequestURL

public StringBuffer getRequestURL()

Specified by:
  `getRequestURL` in interface `jakarta.servlet.http.HttpServletRequest`

### getAuthType

public String getAuthType()

Specified by:
  `getAuthType` in interface `jakarta.servlet.http.HttpServletRequest`
Specified by:
  `getAuthType` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### setAuthType

public void setAuthType(String authType)

### adaptTo

public <T> T adaptTo(Class<T> type)

Specified by:
  `adaptTo` in interface `org.apache.sling.api.adapter.Adaptable`
Overrides:
  `adaptTo` in class `org.apache.sling.api.adapter.SlingAdaptable`

### getResponseContentType

public String getResponseContentType()

Specified by:
  `getResponseContentType` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### setResponseContentType

public void setResponseContentType(String responseContentType)

### getResponseContentTypes

public Enumeration<String> getResponseContentTypes()

Specified by:
  `getResponseContentTypes` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getReader

public BufferedReader getReader()

Specified by:
  `getReader` in interface `jakarta.servlet.ServletRequest`

### getRequestProgressTracker

public org.apache.sling.api.request.RequestProgressTracker getRequestProgressTracker()

Specified by:
  `getRequestProgressTracker` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### addPart

public void addPart(jakarta.servlet.http.Part part)

### getParts

public Collection<jakarta.servlet.http.Part> getParts()

Specified by:
  `getParts` in interface `jakarta.servlet.http.HttpServletRequest`

### getPart

public jakarta.servlet.http.Part getPart(String name)

Specified by:
  `getPart` in interface `jakarta.servlet.http.HttpServletRequest`

### getUserPrincipal

public Principal getUserPrincipal()

Specified by:
  `getUserPrincipal` in interface `jakarta.servlet.http.HttpServletRequest`
Specified by:
  `getUserPrincipal` in interface `org.apache.sling.api.SlingJakartaHttpServletRequest`

### getPathTranslated

public String getPathTranslated()

Specified by:
  `getPathTranslated` in interface `jakarta.servlet.http.HttpServletRequest`

### getRequestedSessionId

public String getRequestedSessionId()

Specified by:
  `getRequestedSessionId` in interface `jakarta.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromCookie

public boolean isRequestedSessionIdFromCookie()

Specified by:
  `isRequestedSessionIdFromCookie` in interface `jakarta.servlet.http.HttpServletRequest`

### isRequestedSessionIdFromURL

public boolean isRequestedSessionIdFromURL()

Specified by:
  `isRequestedSessionIdFromURL` in interface `jakarta.servlet.http.HttpServletRequest`

### isRequestedSessionIdValid

public boolean isRequestedSessionIdValid()

Specified by:
  `isRequestedSessionIdValid` in interface `jakarta.servlet.http.HttpServletRequest`

### isUserInRole

public boolean isUserInRole(String role)

Specified by:
  `isUserInRole` in interface `jakarta.servlet.http.HttpServletRequest`

### getLocalAddr

public String getLocalAddr()

Specified by:
  `getLocalAddr` in interface `jakarta.servlet.ServletRequest`

### getLocalName

public String getLocalName()

Specified by:
  `getLocalName` in interface `jakarta.servlet.ServletRequest`

### getLocalPort

public int getLocalPort()

Specified by:
  `getLocalPort` in interface `jakarta.servlet.ServletRequest`

### getLocales

public Enumeration<Locale> getLocales()

Specified by:
  `getLocales` in interface `jakarta.servlet.ServletRequest`

### getProtocol

public String getProtocol()

Specified by:
  `getProtocol` in interface `jakarta.servlet.ServletRequest`

### authenticate

public boolean authenticate(jakarta.servlet.http.HttpServletResponse response)

Specified by:
  `authenticate` in interface `jakarta.servlet.http.HttpServletRequest`

### login

public void login(String pUsername, String password)

Specified by:
  `login` in interface `jakarta.servlet.http.HttpServletRequest`

### logout

public void logout() throws jakarta.servlet.ServletException

Specified by:
  `logout` in interface `jakarta.servlet.http.HttpServletRequest`
Throws:
  `jakarta.servlet.ServletException`

### getServletContext

public jakarta.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `jakarta.servlet.ServletRequest`

### startAsync

public jakarta.servlet.AsyncContext startAsync()

Specified by:
  `startAsync` in interface `jakarta.servlet.ServletRequest`

### startAsync

public jakarta.servlet.AsyncContext startAsync(jakarta.servlet.ServletRequest servletRequest, jakarta.servlet.ServletResponse servletResponse)

Specified by:
  `startAsync` in interface `jakarta.servlet.ServletRequest`

### isAsyncStarted

public boolean isAsyncStarted()

Specified by:
  `isAsyncStarted` in interface `jakarta.servlet.ServletRequest`

### isAsyncSupported

public boolean isAsyncSupported()

Specified by:
  `isAsyncSupported` in interface `jakarta.servlet.ServletRequest`

### getAsyncContext

public jakarta.servlet.AsyncContext getAsyncContext()

Specified by:
  `getAsyncContext` in interface `jakarta.servlet.ServletRequest`

### getDispatcherType

public jakarta.servlet.DispatcherType getDispatcherType()

Specified by:
  `getDispatcherType` in interface `jakarta.servlet.ServletRequest`

### changeSessionId

public String changeSessionId()

Specified by:
  `changeSessionId` in interface `jakarta.servlet.http.HttpServletRequest`

### upgrade

public <T extends jakarta.servlet.http.HttpUpgradeHandler> T upgrade(Class<T> handlerClass) throws IOException, jakarta.servlet.ServletException

Specified by:
  `upgrade` in interface `jakarta.servlet.http.HttpServletRequest`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`

### getContentLengthLong

public long getContentLengthLong()

Specified by:
  `getContentLengthLong` in interface `jakarta.servlet.ServletRequest`

### getRequestId

public String getRequestId()

Specified by:
  `getRequestId` in interface `jakarta.servlet.ServletRequest`

### getProtocolRequestId

public String getProtocolRequestId()

Specified by:
  `getProtocolRequestId` in interface `jakarta.servlet.ServletRequest`

### getServletConnection

public jakarta.servlet.ServletConnection getServletConnection()

Specified by:
  `getServletConnection` in interface `jakarta.servlet.ServletRequest`